#!/bin/sh

## Skript zur Erfassung von Knoten
## mit Sortierung
## 20070606
##################################
# Erklaerung wie status.sh
# Kopfzeilen entfallen
# Ergebniss wird in Temp Datei sort.tmp umgeleitet


# Dateinamen festlegen, ist Datei vorhanden?
Datei=ffstatus.txt

if [ ! -f $Datei ] ; then
  echo "Datei: $Datei ist nicht vorhanden, es kann keine Auswertung erfolgen!"
  exit
fi

awk ' {
  split ($3,adresse,".")
  teiladresse=adresse[1]"."adresse[2]"."adresse[3]
  sumadresse[teiladresse] ++
}
END {
  for (teiladresse in sumadresse) {
    printf ("%11s.xxx       %2d \n", teiladresse,sumadresse[teiladresse])
    summe += sumadresse[teiladresse]
  }
  printf ("Summe               %4d \n", summe)
}' $Datei > sort.tmp


# jetzt erfolgt das Sortieren aus Temp Datei sort.tmp
# und Ausgabe mit Kopfzeilen

echo "Knoten            Anzahl"
echo "------------------------"
tail -r sort.tmp  | tail +2 | sort
echo "------------------------"
tail -1 sort.tmp

# Loeschen der Temp Datei sort.tmp
rm sort.tmp

